org.infinispan.schematic.internal.schema

## Class JsonSchemaValidatorFactory.TypeValidator

- java.lang.Object
- - org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.TypeValidator

- All Implemented Interfaces:
    Serializable, Validator
  Enclosing class:
    JsonSchemaValidatorFactory

      protected class JsonSchemaValidatorFactory.TypeValidator
      extends Object
      implements Validator

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.infinispan.schematic.internal.schema.Validator

      `Validator.Factory, Validator.SchemaDocumentResolver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSchemaValidatorFactory.TypeValidator(JsonSchema.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `void` | `validate(Object fieldValue, String fieldName, Document document, Path pathToDocument, Problems problems, Validator.SchemaDocumentResolver resolver)` Validate a portion of the supplied document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchemaValidatorFactory.TypeValidator

          public JsonSchemaValidatorFactory.TypeValidator(JsonSchema.Type type)

  - ### Method Detail

    - #### validate

          public void validate(Object fieldValue,
                      String fieldName,
                      Document document,
                      Path pathToDocument,
                      Problems problems,
                      Validator.SchemaDocumentResolver resolver)

      Description copied from interface: `Validator`
      Validate a portion of the supplied document.
      Specified by:
        `validate` in interface `Validator`
      Parameters:
        `fieldValue` - the field value to be validated; may be null
        `fieldName` - the field name to be validated; may be null if the field value is not known or the validator is to validate the document
        `document` - the document; never null
        `pathToDocument` - the path to the supplied document; never null but may be a zero-length path if the document is the top-level document
        `problems` - the problems where any errors or warnings should be recorded; never null
        `resolver` - the component that can be used to resolve references to other schema documents

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.